String.prototype.trim = function() {
	return this.replace(/^\s+|\s+$/g,"");
}
//**************************************************************************
function fFiltrar(){
	document.getElementById("TxtAc").value="F";
	document.getElementById("Frm").submit();
}
//**************************************************************************
function fCancelar(){
	document.getElementById("CmdC").disabled=true;
	SM("L");
}
function fGuardar(){
	var Emp=gv("CboEmp");
	var Fec=gv("TxtFec");
	var Alm=gv("CboAlm");
	var Tde=gv("CboTde");
	var Tot=gv("TxtTot");
	if(jL(Emp)==0){
		alert("Seleccione uan empresa");
		return jF("CboEmp");
	}
	if(Fec.trim().length==0){
		alert("Ingrese la fecha, segun el formato");
		document.getElementById("TxtFec").focus();
		return;
	}
	if(!EsFecha(Fec)){
		alert("Fecha no valida, verifique el formato");
		document.getElementById("TxtFec").focus();
		return;
	}
	if(jL(Alm)==0){
		alert("Seleccione el almacen correspondiente");
		document.getElementById("CboAlm").focus();
		return;
	}
	if(jL(Tde)==0){
		alert("Seleccione el tipo de ingreso correspondiente");
		document.getElementById("CboTde").focus();
		return;
	}
	if(jVal(Tot)==0){
		alert("Ingrese el total correspondiente");
		document.getElementById("TxtTot").focus();
		return;
	}
	//
	if(gv("CmdG")=="Guardar"){
		document.getElementById("CmdG").disabled=true;
		SM("G");
	}else{
		document.getElementById("CmdG").disabled=true;
		SM("M");
	}
}
//**************************************************************************
//
function flEliminar(){
	var id=gv("TxtId");
	if(jVal(id)<=0){
		alert("Ningun registro activo");
		return;
	}
	var Rpta = confirm("Esta seguro que desea eliminar?")		
	if (Rpta==true){
		document.getElementById("CmdE").disabled=true;
		document.getElementById("CmdA").disabled=true;
		//
		SM("E");
	}	
}
//
function flAnular(){
	var id=gv("TxtId");
	if(jVal(id)==0){
		alert("No se puede determinar el id del registro activo");
		return;
	}
	if(confirm("Esta seguro que desea anular?")){
		document.getElementById("CmdE").disabled=true;
		document.getElementById("CmdA").disabled=true;
		SM("A");
	}
}
